<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Profile</title>
    <!-- <link rel="stylesheet" href="home.css"> -->
    <link rel="stylesheet" href="style.css">
    <link
    rel="stylesheet"
    href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
  />

    <link rel="stylesheet" href="profile.css">
    <!-- <link rel="stylesheet" href="header_footer.css"> -->

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
 
</head>
<body>
  <nav>
    <div class="navbar">
      <i class="bx bx-menu"></i>
      <div class="logo"><a href="#">Bucket List</a></div>
      <div class="nav-links">
        <div class="sidebar-logo">
          <span class="logo-name">Bucket List</span>
          <i class="bx bx-x"></i>
        </div>
        <ul class="links">
          <li>
            <a href="#">Home</a>
            <i class="bx bxs-chevron-down htmlcss-arrow arrow"></i>
            <ul class="htmlCss-sub-menu sub-menu">
              <li><a href="home.html">Bucket List</a></li>
              <li><a href="home.html">Add Bucket List</a></li>
              <li class="more" visibility="hidden" style="display: none">
                <span style="visibility: hidden"
                  ><a href="#"></a>
                  <i class="bx bxs-chevron-right arrow more-arrow"></i>
                </span>
              </li>
            </ul>
          </li>
          <li><a href="a.html">Post</a></li>
          <li><a href="profile.html">User Profile</a></li>
          <li><a href="" onclick="logout()">Log Out</a></li>
        </ul>
      </div>
      <div class="search-box" style="visibility: hidden">
        <i class="bx bx-search"></i>
        <div class="input-box">
          <input type="text" placeholder="Search..." />
        </div>
      </div>
    </div>
  </nav>
  <br />
  <br />
  <br />
    <div class="page-content page-container" id="page-content">
        <div class="padding">
            <div class="row container d-flex justify-content-center">
                 <div class="col-xl-6 col-md-12">
                        <div class="card user-card-full">
                            <div class="row m-l-0 m-r-0">

                                <div class="col-sm-4 bg-c-lite-green user-profile">
                                    <div class="card-block text-center text-white">
                                        <div class="m-b-25">
                                            <img src="https://img.icons8.com/bubbles/100/000000/user.png" class="img-radius" alt="User-Profile-Image">
                                        </div>
                                        <h6 class="f-w-600" id="username">Undefined</h6>
                                        <p>User</p>
                                      
                                    </div>
                                </div>
                                <div class="col-sm-8">
                                    <div class="card-block">
                                        <h6 class="m-b-20 p-b-5 b-b-default f-w-600">Information</h6>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <p class="m-b-10 f-w-600" >Email</p>
                                                <h6 class="text-muted f-w-400" id="email">Undefined</h6>
                                            </div>
                                           
                                        </div>
                                        <div class="col-sm-6 mt-5 button">
                                            <button class="realbutton" id="editButton">Edit</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="content_table">
          <div class="form" >
            <div class="close">+</div>
            <form class="contactForm" id="sellerForm" autocomplete="off">
              <div class="form-group">
                Update Details
              </div>

              <div class="form-group">
                <label for="name">User Name</label>
                <input type="text" class="form-control input-text" id="name" placeholder="Name" required/>

              </div>
              <div class="form-group">
                <label for="email">Email</label>
                <input type="email" class="form-control input-text" id="email1" placeholder="example@gmail.com" required/>
      
              </div>
          
              <div class="form-group">
                <label for="password">Password</label>
                <input type="text" class="form-control input-text" id="password" autocomplete="off" required>
        
              </div>
              <div class="form-group">
                <label for="password">Confirm Password</label>
                <input type="password" class="form-control input-text" id="cpassword" autocomplete="off" required>

              </div>
              <div class="form-group">
                <span id="validation" class="validation">Password do not match!</span>
              </div>
              <div class="form-group">
                <label for="button"></label>
                <button class="input-btn" id="upButton">Update</button>
              </div>
            </form>
          </div>
        </div>

        <footer  class="myfooter">
     
          <div class="container p-4">
       
            <div class="row">
              
              <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
                <h5 class="text-uppercase">BucketList</h5>
        
                <p>
                  BucketList: Make a list and fulfill it before you kick the bucket!
                </p>
              </div>
             
        
            
              <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
                <h5 class="text-uppercase">Our Social Presence</h5>
        
                <p>
                  <a class="text-light sociallink" href="#">FaceBook</a>.
                  <br>
                  <a class="text-light sociallink" href="#">Instagram</a>
                  <br>
                  <a class="text-light sociallink" href="#">Discord</a>
                </p>
              </div>
            
            </div>
         
          </div>
          
          <!-- Copyright -->
          <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
              © 2023 Copyright:
          <a class="text-light"href="#">BucketList</a>
          </div>
          <!-- Copyright -->
        
        </footer>

          <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
          
          <!-- <script src="./js/LogOut.js"> </script> -->
          <script src="profile.js"></script>
          <script src="./js/login.js"></script>
          <!-- <script src="./js/session.js"></script> -->
          <script src="home.js"></script>
          <script src="./js/a.js"></script>
          <script src="./js/logout.js"></script>
          <script>
      // Function to check if a cookie is present
      function checkCookie() {
        var cookieName = "my-cookie"; // Replace with the actual name of your session cookie
        var cookieValue = getCookie(cookieName);
    
        // If cookie value is not present or empty, redirect to the login page
        if (!cookieValue || cookieValue === "") {
          alert("Session time out! please login again")
          window.location.href = "index.html"; // Replace "/login" with the URL of your login page
        }
      }
    
      // Function to retrieve the value of a cookie
      function getCookie(name) {
        var value = "; " + document.cookie;
        var parts = value.split("; " + name + "=");
        if (parts.length === 2) {
          return parts.pop().split(";").shift();
        }
        return "";
      }
    
      // Call the checkCookie function on page load
      checkCookie();
    </script>
</body>
</html>